Page MenuHomePhabricator

Update userAdd to be consistent with WikimediaUI icon guidelines
Closed, ResolvedPublic

Description

Prior to the userAdd icon [1] being upstreamed to OOUI [2], we would like to make sure the icon is consistent with OOUI.

Done

  • A or B is done:
    • A. A new icon that is consistent with OOUI is created to replace the current, userAdd icon OR
    • B. It has been determined the userAdd icon does not need changing

1. Current userAdd icon (see right-most icon in toolbar)
Screenshot:
  1. https://gerrit.wikimedia.org/r/#/c/oojs/ui/+/602822/

Event Timeline

ppelberg created this task.Jun 8 2020, 6:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2020, 6:43 PM
ppelberg renamed this task from Updated userAdd to be consistent with OOUI to Update userAdd to be consistent with OOUI.Jun 8 2020, 6:44 PM
ppelberg added a project: OOUI.
Dvorapa added a subscriber: Dvorapa.Jun 8 2020, 7:46 PM

Here's where the icon originated from : T90764#1120765

Here are the other icons in OOUI with "add" in their title.
There are two with the + in the top right (templateAdd, imageAdd). More solid icons have it centred and white.

Dvorapa added a comment.EditedJun 8 2020, 7:57 PM

(I feel like this is not only an add action. Users can ping people, so they know about the conversation (ping action), users can navigate to people, so others know who is responsible (navigate action), users can just reply to more people in one comment (comment part delimiter)...)

So it's actually not a add user, but a do “some action” with a user representing icon…

I'm thinking that we should go with the slightly off center version of the icon:

Esanders added a comment.EditedJun 16 2020, 6:26 PM

So it's actually not a add user, but a do “some action” with a user representing icon…

It adds a user to your message body.

I don't understand, can you explain @Esanders ?

Here are two versions of the asymmetrical icon- the difference here is that version 2 is pushed 1px up.

After getting some feedback, let's go with a slightly altered version 2. The alteration is moving the cross one px to the right (to go to the edge).

Change 602822 had a related patch set uploaded (by VolkerE; owner: Esanders):
[oojs/ui@master] icons: Upstream userAdd icon from Flow

https://gerrit.wikimedia.org/r/602822

Change 602822 merged by jenkins-bot:
[oojs/ui@master] icons: Upstream userAdd icon from Flow

https://gerrit.wikimedia.org/r/602822

Volker_E renamed this task from Update userAdd to be consistent with OOUI to Update userAdd to be consistent with WikimediaUI icon guidelines.Jun 23 2020, 11:49 PM
Volker_E triaged this task as Medium priority.
Volker_E moved this task from Backlog to OOUI-0.39.2 on the OOUI board.Jun 24 2020, 12:59 AM
Volker_E edited projects, added OOUI (OOUI-0.39.2); removed OOUI.

Change 607443 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.39.2

https://gerrit.wikimedia.org/r/607443

Change 607443 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.39.2

https://gerrit.wikimedia.org/r/607443

matmarex closed this task as Resolved.Jun 24 2020, 6:06 PM